glibmm: Glib::Variant< guint16 > Class Template Reference

glibmm 2.64.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Variant< guint16 > Class Template Reference
Variant Data Types

Specialization of Glib::Variant containing a guint16 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< guint16 >:
[legend]

## Public Types
using | CType = guint16
Public Types inherited from Glib::VariantBase
using | BoolExpr = const void*
| This typedef is just to make it more obvious that our operator const void* should be used like operator bool(). More...

## Public Member Functions
| Variant ()
| Default constructor. More...
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor. More...
guint16 | get () const
| Gets the value of the Glib::Variant<guint16>. More...
Public Member Functions inherited from Glib::VariantBase
| VariantBase ()
| Constructs an invalid object. More...
| VariantBase (GVariant* castitem, bool make_a_copy=false)
| VariantBase (const VariantBase& src)
VariantBase& | operator= (const VariantBase& src)
| VariantBase (VariantBase&& other) noexcept
VariantBase& | operator= (VariantBase&& other) noexcept
| ~VariantBase () noexcept
void | swap (VariantBase& other) noexcept
GVariant* | gobj ()
const GVariant* | gobj () const
GVariant* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| operator BoolExpr () const
| Test whether the Variant has an underlying instance. More...
| operator bool () const
| Test whether the Variant has an underlying instance. More...
void | init (const GVariant* cobject, bool take_a_reference=false)
| Replace the underlying GVariant. More...
VariantType | get_type () const
| Determines the type of value. More...
std::string | get_type_string () const
| Returns the type string of value. More...
bool | is_floating () const
| Checks whether value has a floating reference count. More...
bool | is_of_type (const VariantType& type) const
| Checks if a value has a type matching the provided type. More...
bool | is_container () const
| Checks if value is a container. More...
GVariantClass | classify () const
| Classifies value according to its top-level type. More...
gsize | get_size () const
| Determines the number of bytes that would be required to store value with g_variant_store(). More...
gconstpointer | get_data ()
| Returns a pointer to the serialised form of a Variant instance. More...
gconstpointer | get_data () const
| Returns a pointer to the serialised form of a Variant instance. More...
Glib::RefPtr< const Glib::Bytes > | get_data_as_bytes () const
| Returns a pointer to the serialised form of a Variant instance. More...
void | store (gpointer data) const
| Stores the serialised form of value at data. More...
Glib::ustring | print (bool type_annotate=false) const
| Pretty-prints value in the format understood by g_variant_parse(). More...
guint | hash () const
| Generates a hash value for a Variant instance. More...
bool | equal (const VariantBase& other) const
| Checks if *this and other have the same type and value. More...
void | get_normal_form (VariantBase& result) const
| Gets a VariantBase instance that has the same value as this variant and is trusted to be in normal form. More...
bool | is_normal_form () const
| Checks if value is in normal form. More...
void | byteswap (VariantBase& result) const
| Performs a byteswapping operation on the contents of this variant. More...
bool | check_format_string (const std::string& format_string, bool copy_only=false) const
| Checks if calling g_variant_get() with format_string on value would be valid from a type-compatibility standpoint. More...
template<>
VariantContainerBase | cast_dynamic (const VariantBase& v)

## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the Glib::VariantType. More...
static Variant< guint16 > | create (guint16 data)
| Creates a new Glib::Variant<guint16>. More...
Static Public Member Functions inherited from Glib::VariantBase
template<class V_CastTo >
static V_CastTo | cast_dynamic (const VariantBase& v)
| Cast to a specific variant type. More...

## Additional Inherited Members
Protected Attributes inherited from Glib::VariantBase
GVariant* | gobject_
Related Functions inherited from Glib::VariantBase
void | swap (VariantBase& lhs, VariantBase& rhs) noexcept
Glib::VariantBase | wrap (GVariant* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

### template<>
class Glib::Variant< guint16 >

Specialization of Glib::Variant containing a guint16 type.

Since glibmm 2.26:

## Member Typedef Documentation

using Glib::Variant< guint16 >::CType = guint16

## Constructor & Destructor Documentation

Glib::Variant< guint16 >::Variant | ( |  | ) |
| inline

Default constructor.

Glib::Variant< guint16 >::Variant | ( | GVariant< guint16 > * | castitem,
|  | bool | take_a_reference = `false`
| ) |  |
| inlineexplicit

GVariant constructor.

Parameters

  castitem | The GVariant to wrap.
  take_a_reference | Whether to take an extra reference of the GVariant or not (not taking one could destroy the GVariant with the wrapper).

## Member Function Documentation

static Variant<guint16> Glib::Variant< guint16 >::create | ( | guint16 | data | ) |
| static

Creates a new Glib::Variant<guint16>.

Parameters

  data | The value of the new Glib::Variant<guint16>.

Returns
  The new Glib::Variant<guint16>.

guint16 Glib::Variant< guint16 >::get | ( |  | ) | const

Gets the value of the Glib::Variant<guint16>.

Returns
  The guint16 value of the Glib::Variant<guint16>.

static const VariantType& Glib::Variant< guint16 >::variant_type | ( |  | ) |
| static

Gets the Glib::VariantType.

Returns
  The Glib::VariantType.